Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.prep
Class PreparedPolygonLineIntersection

    java.lang.Object
      com.vividsolutions.jts.geom.prep.PreparedPolygonLineIntersection

public class PreparedPolygonLineIntersection
extends java.lang.Object

Computes the `intersection` spatial overlay function for a target `PreparedLineString` relative to other `Geometry` classes. Uses indexing to improve performance.

Author:
  Martin Davis

Field Summary
`protected PreparedPolygon` | `prepPoly`

Constructor Summary
`PreparedPolygonLineIntersection(PreparedPolygon prepPoly)` Creates an instance of this operation.

Method Summary
`Geometry` | `intersection(Geometry geom)` Computes the intersection of this geometry with the given geometry.
`static Geometry` | `intersection(PreparedPolygon prep, Geometry geom)` Computes the intersection between a `PreparedLineString` and a `Geometry`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prepPoly

    protected PreparedPolygon prepPoly

Constructor Detail

### PreparedPolygonLineIntersection

    public PreparedPolygonLineIntersection(PreparedPolygon prepPoly)

  Creates an instance of this operation.

Parameters:
  `prepPoly` - the target PreparedPolygon

Method Detail

### intersection

    public static Geometry intersection(PreparedPolygon prep,
                                        Geometry geom)

  Computes the intersection between a `PreparedLineString` and a `Geometry`.

  Parameters:
    `prep` - the prepared linestring
    `geom` - a test geometry
  Returns:
    the intersection geometry

### intersection

    public Geometry intersection(Geometry geom)

  Computes the intersection of this geometry with the given geometry.

  Parameters:
    `geom` - the test geometry
  Returns:
    a geometry corresponding to the intersection point set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD